% Comparación Gauss-Seidel/Jacobi en un caso en que
% la diagonal domina
% El programa NO es eficiente, lo hago así para aprovechar
% las funciones mjac y mgase

n = 200;
A = rand(n) + (n-1)*eye(n);
%A = [5,2,1; -3,6,1; 2,3,5];
%A = [5,2,1; -3,1,1; 2,3,1]; % Dos de la diagonal no "dominan" (no converge)
b = rand(n,1);

x_exact = A\b;

for k = 1:20
    
    [x,err] = mjac(A,b,k,0);
    e1 = norm(x-x_exact); % error absoluto con Jacobi
    
    [x,err] = mgase(A,b,k,0);
    e2 = norm(x-x_exact); % error absoluto con Gauss-Seidel
    
    disp(['k = ' num2str(k) ' -> J: ' num2str(e1,'%.5e') ' -> G-S: ' num2str(e2,'%.5e')])
end