% Método de Jacobi

N = 5; % Número de iteraciones

A = [5,2,1; -3,6,1; 2,3,5];
%A = [5,2,1; -3,1,1; 2,3,1]; % Dos de la diagonal no "dominan" (no converge)
b = [10; 6; 20];

Ap = A - diag(diag(A));
Dinv = diag(A).^-1;

% Valor inicial
n = size(A,1);
x = zeros(n,1);

% Iteraciones del método de Jacobi
for k = 1:N
    x = Dinv .* (b - Ap*x);
end

disp(x)
