% Gauss-Seidel

N = 5; % Número de iteraciones

A = [5,2,1; -3,6,1; 2,3,5];
%A = [5,2,1; -3,1,1; 2,3,1]; % Dos de la diagonal no "dominan" (no converge)
b = [10; 6; 20];

n = size(A,1);
x = zeros(n,1);

for k = 1:N
    for ii = 1:n
        x(ii) = (b(ii) - A(ii, 1:ii-1)*x(1:ii-1) - A(ii, ii+1:n)*x(ii+1:n) )/A(ii,ii);
    end
end
disp(x)
