Nmax = 10; % Número de iteraciones
tol = 1e-16; % error relativo permitido

A = [5,2,1; -3,6,1; 2,3,5];
%A = [5,2,1; -3,1,1; 2,3,1]; % Dos de la diagonal no "dominan" (no converge)
b = [10; 6; 20];

[x,err] = mgase(A,b,Nmax,tol);

if err<tol
    disp('La aproximación de la solución es:')
    disp(x)
else
    disp('No se consigue una aproximación')
    disp('con la tolerancia especificada')
    if err> 0.1
        disp('El error es grande')
        disp('Es posible que el método no converja')
    end
end